std::vformat(3)

NAME
std::vformat - std::vformat

Synopsis
   Defined in header <format>
   std::string vformat(std::string_view fmt, std::format_args args); (1) (since C++20)
   std::wstring vformat(std::wstring_view fmt, std::wformat_args (2) (since C++20)
   args);
   std::string vformat(const std::locale& loc, std::string_view fmt, (3) (since C++20)
   std::format_args args);
   std::wstring vformat(const std::locale& loc, std::wstring_view (4) (since C++20)
   fmt, std::wformat_args args);
   Format arguments held by args according to the format string fmt, and return the
   result as a string. If present, loc is used for locale-specific formatting.

Parameters
          string view representing the format string. The format string consists of
            * ordinary characters (except { and }), which are copied unchanged to the
              output,
            * escape sequences {{ and }}, which are replaced with { and } respectively
              in the output, and
            * replacement fields.
          Each replacement field has the following format:
          { arg-id (optional) } (1)
          { arg-id (optional) : format-spec } (2)
          1) replacement field without a format specification
          2) replacement field with a format specification
   fmt -
                        specifies the index of the argument in args whose value is to
                        be used for formatting; if it is omitted, the arguments are
          arg-id - used in order.
                        The arg-ids in a format string must all be present or all be
                        omitted. Mixing manual and automatic indexing is an error.
          format-spec - the format specification defined by the std::formatter
                        specialization for the corresponding argument.
            * For basic types and standard string types, the format specification is
              interpreted as standard format specification.
            * For chrono types, the format specification is interpreted as chrono
              format specification.
            * For other formattable types, the format specification is determined by
              user-defined formatter specializations.
   args - arguments to be formatted
   loc - std::locale used for locale-specific formatting

Return value
   A string object holding the formatted result.

Exceptions
   Throws std::format_error if fmt is not a valid format string for the provided
   arguments, or std::bad_alloc on allocation failure. Also propagates any exception
   thrown by formatter or iterator operations.

Example
    This section is incomplete
    Reason: no example

See also